body {
  background-color: hsl(0, 0%, 99%);
}

main > div {
  border: 1px solid #888888;
  border-radius: 15px;
  margin: 15px 0;
  padding: 1em;
}

#octicons::before,
#fontawesome::before,
#svg-icon-material::before {
  display: block;
  float: right;
  font-size: 0.8em;
  font-weight: 700;
}

#octicons::before {
  content: "octicons";
  color: blue;
}
#fontawesome::before {
  content: "fontawesome";
  color: green;
}
#svg-icon-material::before {
  content: "svg-icon (material sprites)";
  color: red;
}

#octicons img,
#fontawesome span,
#svg-icon-material svg {
  background-color: hsl(0, 0%, 98%);
  border: 1px solid hsl(204, 97%, 43%);
  margin: 3px;
}

main #octicons {
  background-color: hsl(220, 100%, 97%);
}
main #fontawesome {
  background-color: hsl(110, 100%, 97%);
}
main #svg-icon-material {
  background-color: hsl(0, 100%, 97%);
}

/* octicons */

main #octicons img {
  border-radius: 4px;
  padding: 2px;
}

/* fontawesome */

main #fontawesome span {
  border-radius: 8px;
  padding: 5px;
}

main #fontawesome > div {
  display: inline;
  margin: 3px;
}

/* svg-icon-material */

main #svg-icon-material svg {
  border-radius: 8px;
  padding: 5px;
  max-width: 100px;
}

main #svg-icon-material > div {
  display: inline;
}

#svg-icon-material > div:first-child > svg {
  max-width: 120px;
  max-height: 150px;
}

#svg-icon-material > div:nth-child(2) > svg {
  max-width: 100px;
  max-height: 100px;
}
